Re: lilypond-devel Digest, Vol 206, Issue 32

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Re: lilypond-devel Digest, Vol 206, Issue 32

Stanton Sanderson-2
> On Jan 11, 2020, at 3:29 PM, [hidden email] wrote:
>
> New version is now available at
> https://bintray.com/marnen/lilypond-darwin-64/download_file?file_path=lilypond-2.19.83.build20200111.1-darwin-64.tar.gz
> (sha-256 6f1300a64281273da22c53926b6f5cbfa41fe612df173b0aaa4da905ee6b2af7;


both new and previous versions work well on Mac X OS 14.6 EXCEPT that the convert-ly module fails with:

 Traceback (most recent call last):
  File "/Users/ssanders/Desktop/LilyPond_TEST_.app/Contents/Resources/bin/convert-ly", line 27, in <module>
    import shutil
  File "/Users/ssanders/Desktop/LilyPond_TEST_.app/Contents/Resources/shutil.py", line 19, in <module>
    from . import tarfile
ValueError: Attempted relative import in non-package

(which may be expected… but you asked for reports;-)

Thanks,

Stan


Reply | Threaded
Open this post in threaded view
|

Re: lilypond-devel Digest, Vol 206, Issue 32

marnen
On Sat, Jan 11, 2020 at 6:05 PM Stanton Sanderson <[hidden email]>
wrote:

> > On Jan 11, 2020, at 3:29 PM, [hidden email] wrote:
> >
> > New version is now available at
> >
> https://bintray.com/marnen/lilypond-darwin-64/download_file?file_path=lilypond-2.19.83.build20200111.1-darwin-64.tar.gz
> > (sha-256
> 6f1300a64281273da22c53926b6f5cbfa41fe612df173b0aaa4da905ee6b2af7;
>
>
> both new and previous versions work well on Mac X OS 14.6 EXCEPT that the
> convert-ly module fails with:
>
>  Traceback (most recent call last):
>   File
> "/Users/ssanders/Desktop/LilyPond_TEST_.app/Contents/Resources/bin/convert-ly",
> line 27, in <module>
>     import shutil
>   File
> "/Users/ssanders/Desktop/LilyPond_TEST_.app/Contents/Resources/shutil.py",
> line 19, in <module>
>     from . import tarfile
> ValueError: Attempted relative import in non-package
>
> (which may be expected… but you asked for reports;-)


I appreciate it.  I haven’t tested convert-ly yet.  Clearly I should have.
 :)  Thanks for the bug report.


>
> Thanks,
>
> Stan
>
> --
Marnen Laibow-Koser [hidden email] http://www.marnen.org Sent from Gmail
Mobile
Reply | Threaded
Open this post in threaded view
|

Re: lilypond-devel Digest, Vol 206, Issue 32

marnen
In reply to this post by Stanton Sanderson-2
On Sat, Jan 11, 2020 at 6:05 PM Stanton Sanderson <[hidden email]>
wrote:

> > On Jan 11, 2020, at 3:29 PM, [hidden email] wrote:
> >
> > New version is now available at
> >
> https://bintray.com/marnen/lilypond-darwin-64/download_file?file_path=lilypond-2.19.83.build20200111.1-darwin-64.tar.gz
> > (sha-256
> 6f1300a64281273da22c53926b6f5cbfa41fe612df173b0aaa4da905ee6b2af7;
>
>
> both new and previous versions work well on Mac X OS 14.6 EXCEPT that the
> convert-ly module fails with:
>
>  Traceback (most recent call last):
>   File
> "/Users/ssanders/Desktop/LilyPond_TEST_.app/Contents/Resources/bin/convert-ly",
> line 27, in <module>
>     import shutil
>   File
> "/Users/ssanders/Desktop/LilyPond_TEST_.app/Contents/Resources/shutil.py",
> line 19, in <module>
>     from . import tarfile
> ValueError: Attempted relative import in non-package
>
> (which may be expected… but you asked for reports;-)
>

Fixed in new build,
https://bintray.com/marnen/lilypond-darwin-64/download_file?file_path=lilypond-2.19.83.build20200201173109-darwin-64.tar.gz


>
> Thanks,
>
> Stan
>
>
Best,
--
Marnen Laibow-Koser
[hidden email]
http://www.marnen.org